# Interface Runnable

All Known Subinterfaces:
  `RunnableFuture<V>, RunnableScheduledFuture<V>`

All Known Implementing Classes:
  `AsyncBoxView.ChildState, ForkJoinWorkerThread, FutureTask, RenderableImageProducer, SwingWorker, Thread, TimerTask`

Functional Interface:
  This is a functional interface and can therefore be used as the assignment target for a lambda expression or method reference.

@FunctionalInterface public interface Runnable
Represents an operation that does not return a result.

This is a functional interface whose functional method is `run()`.

Since:
  1.0
See Also:
  - `Callable`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `run()`
  Runs this operation.

- ## Method Details

  - ### run

    void run()
    Runs this operation.